.body-content{
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    
    width: 85%;
    margin: 0 auto;
}
.back-button{
    position: relative;
    width: 80%;
    
    margin: -20px 0 30px 0;
    box-shadow: 0px 2px 3px black;
    border: 1px solid black;
    padding: 12px;
    
    font-size: calc(15px + 1vw);
    
    background-color: #ff1814;
    transition: 0.1s ease-in;
    transform: skew(-10deg);
}
.back-button:hover{
    background-color: #fc2828;
    transform: skew(-10deg) scale(1.05);
}
.back-button:active, .back-button:focus{
    margin: -17px 0 27px 0;
    border: 1px solid black;
    box-shadow: none;
}
.overlay-card{
    display: block;
    position: relative;
    z-index: 9999;
    
    height: 400px;
    
    margin: auto auto;
    padding: 50px;
    border: 1px solid black;

    background-color: #1b1b1b;
}
.item-overlay{
    height: 570px;
}
.overlay{
    display: none;
    position: fixed;
    z-index: 9990;
    
    top: 0;
    bottom: 0;
    
    width: 100%;
    height: 100%;
}
.overlay form{
    width: 100%;
    height: 100%;
}
.overlay:after{
    content: " ";
    z-index: 9990;
    display: block;
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.65);
}
.overlay-show{
    display: flex;
}
.overlay-card form{
    display: flex;
    flex-direction: column;
}
.overlay-card input{
    margin: 0px 20px 0 18px;
    padding: 10px 8px 8px 10px;
    
    border: none;
    border-radius: 5px;
    
    background-color: #595959;
    color: white;
    font-size: calc(15px + 0.5vw);
    font-family: "Montserrat", sans-serif;

    transition: 0.3s;
}
.subject-card, .location-card, .action-card, .description-card, .full-card, .half-card, .delete-card{
    display: flex;
    flex-direction: column;
    
    min-width: 300px;
    padding: 3rem;
    margin: calc(1rem + 0.7vw);
    
    background-color: #2b2b2b;
    border: 1px solid black;
    box-shadow: 0 2px 3px black;
    
    overflow-y: auto;
}
.subject-card, .action-card{
    flex: 1 2 40%;
}
.action-card{
    flex: 1 2 40%;
}
.description-card, .location-card{
    flex: 2 1 40%;
}
.full-card{
    flex: 1 1 100%;
    max-height: 100000px;
}
.half-card{
    flex: 1 1 45%;
}
.half-scrollable-table{
    overflow-x: scroll;
}
.scrollable-table{
    position: relative;
}
.scrollable-table table, .scrollable-table .container{
    position: absolute;
    overflow-y: scroll;
}
.subject-tlt, .location-tlt, .action-tlt, .description-tlt, .full-tlt, .half-tlt{
    margin: 10px 0 15px 0;
    
    font-family: "Fira Sans", sans-serif;
    font-size: calc(30px + 2.2vw);
}
.subject-info{
    margin: 10px 0 30px 0;
}
.subject-info p{
    margin: 10px 0 10px 0;
    
    font-family: "Montserrat", sans-serif;
    font-weight: 700;
    font-size: calc(12px + 0.8vw);
}
.subject-barcode{
    width: 100%;
}
.description-info{
    position: relative;
    margin: 10px;
}
.description-mvc{
    display: block;
    position: absolute;
    
    margin: 0 0 40px 0;
}
.description-mvc img{
    margin: 40px 0 0 0;
}
.location-card table, .full-card table, .half-card table{
    font-size: calc(8px + 0.5vw);
    font-weight: 700;
    box-shadow: none;
}
.history-table{
    position: relative;
    margin: 0 25px 0 25px;
}
.action-card form{
    display: flex;
    flex-direction: column;
}
.action-row{
    display: flex;
    flex-direction: row;
    align-items: center;
}
.action-row input, .action-row select{
    flex: 2 1 0;
    box-sizing: border-box;
    
    margin: 5px 0 5px 0;
    min-width: 10px;
    
    font-family: "Montserrat", sans-serif;
    font-size: calc(12px + 0.8vw);
}
.action-row label{
    flex: 1 2 0;
    
    font-family: "Montserrat", sans-serif;
    font-size: calc(12px + 0.8vw);
}
.button-row{
    display: flex;
    justify-content: space-between;
    padding: 20px;
    width: 100%;
}
.button-row h1, .button-row a{
    font-size: calc(7px + 0.8vw);
}
.button-row .button{
    border: 1px solid black;
    box-shadow: 0 5px 5px black;
    margin: 15px 5px 0 5px;
    flex: 1 1 auto;
    
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
}
.button-row .button:hover, .thin-button-row .button:hover{
    background-color: #fc2828;
    
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
}
.button-row .button:active{
    outline: none;
    margin-top: 13px;
    margin-bottom: 7px;
    box-shadow: 0 2px 5px black;
}
.delete-card{
    display: inline-block;
}
.delete-button{
    cursor: pointer;
}
.red-delete{
    color: #ff1814;
    -webkit-text-stroke: 0 black;
    text-shadow: none;
}
.end-button-row{
    display: flex;
    flex-direction: row;
    justify-content: center;
    
    margin: 20px 0 10px 0;
}
.end-button-row input, .end-button-row h1{
    box-sizing: border-box;
    
    width: 50%;
    padding: 8px;
    margin: 10px;
    
    box-shadow: 0 2px 3px black;
    border-radius: 0;

    font-family: "Fira Sans", sans-serif;
    font-size: calc(14px + 0.7vw);
    
    cursor: pointer;
    
    background-color: #ff1814;
    -webkit-text-stoke: none;
    text-shadow: none;
}
.end-button-row input:hover, .end-button-row h1:hover{
    background-color: #e51d1b;
    transform: scale(1.1) skew(-10deg);
}
.end-button-row input:active, .end-button-row h1:focus{
    box-shadow: none;
}
.divide-line{
    display: flex;
    position: relative;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    
    padding: 5px 0 5px 0;
    margin: 5px auto 5px auto;
}
.divide-line input{
    position: relative;
    padding: 8px 8px 8px 10px;
    width: 100%;
    
    border: 1px solid black;
    background-color: #e2e2e2;
    color: black;
    font-size: calc(5px + 0.7vw);
    font-family: "Montserrat", sans-serif;

    transition: 0.3s;
    appearance: none;
	-moz-appearance: none;
	-webkit-appearance: none;
}
.divide-line label{
    font-family: "Fira Sans";
    font-size: calc(10px + 0.7vw);
    -webkit-text-stoke: 2px black;
    text-align: center;
    cursor: pointer;
    
    white-space: nowrap;
    overflow: hidden;
    text-shadow:
       2px 2px 0 #000,
     -1px -1px 0 #000,  
      1px -1px 0 #000,
      -1px 1px 0 #000,
       1px 1px 0 #000;
}
.divide-line .label-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    position: absolute;
    z-index: 99;
    
    width: 100%;
    height: 100%;
    
    border: 1px solid black;
    background-color: #7a7a7a;
    transition: 0.2s;
}
.divide-line .label-shrink{
    width: 30%;
    background-color: #7a7a7a;
}
@media only screen and (max-width: 1500){

}